Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.migration
Class ControlInfo

`java.lang.Object
oracle.jbo.uicli.migration.ControlInfo`

All Implemented Interfaces:
  MigUtil

public class ControlInfo
extends java.lang.Object
implements MigUtil

Field Summary
`java.lang.String` | `sessionName`

Fields inherited from interface oracle.jbo.uicli.migration.MigUtil
`ADD, ATTRIBUTEINFO, CHARTCONTROL, CHECKBOX, COMBOBOX, DEFAULT_BINDING, DOCLICK, FOR_NAVIGATION, GRIDCONTROL, IMAGECONTROL, INITAPP, JBINIT_FUNC, JLABEL, JTABLE, JUCOMBO, JULABEL, JUTABLE, LABELCONTROL, LISTCONTROL, MEMBER, MENUITEM, NAVIGATIONBAR, postName, QUERYVIEWINFO, RADIOBUTTON, RADIOPANEL, ROWSETINFO, SESSION_TYPE, SESSIONINFO_TYPE, SETAPPMODULEINFO, SETATTRIBUTEINFO, SETCOLUMNLABELDATA, SETCONNECTINFO, SETDATA, SETDATAITEMFORUPDATE, SETDATAMODE, SETDESELECTION, SETEDIT, SETHEIGHT, SETLAYOUT, SETLISTKEYITEM, SETLISTVALUE, SETMASTERLINKINFO, SETNAME, SETQUERYINFO, SETSELECTION, SETTEXT, SETVALUE, SETWIDTH, STATUSBAR, TEXTAREA, TEXTFIELD, TREECONTROL, XYLAYOUT`

Constructor Summary
`ControlInfo()`
`ControlInfo(java.lang.String fName)`

Method Summary
`void` | `addRadioToPanel(ControlInfo c)`
`void` | `cleatDirty()`
`java.util.HashMap` | `convertToHash()`
`void` | `createControlInfo(JUDTForm jForm)`
`java.lang.String[]` | `getAttrList()`
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getControlName()`
`java.lang.String` | `getControlType()`
`java.lang.String` | `getEditable()`
`java.lang.String` | `getInit()`
`java.lang.String` | `getInitialValue()`
`boolean` | `getLayout()`
`int` | `getListMode()`
`java.lang.String` | `getRadioValue()`
`int` | `getRowSetIndex(RowSetInfo[] rInfo, java.lang.String rName)`
`java.lang.String` | `getSessionName()`
`java.lang.String` | `getStaticList()`
`java.lang.String` | `getViewName()`
`boolean` | `isControlReady()`
`boolean` | `isDirty()`
`boolean` | `parserParameter(java.lang.String fName, java.lang.String parameter, RowSetInfo[] rInfo)`
`void` | `printControl(MigrateDAC parent, java.lang.String pName)`
`void` | `printKava(java.io.OutputStream out, java.lang.String startTab)`
`java.lang.String[]` | `removeAttrQoute()`
`java.lang.String` | `removeQuota(java.lang.String src)`
`void` | `setAttrList(java.lang.String[] aList)`
`void` | `setControlName(java.lang.String name)`
`void` | `setControlType(java.lang.String type)`
`void` | `setEditable(java.lang.String value)`
`void` | `setInit(java.lang.String iStr)`
`void` | `setInitialValue(java.lang.String value)`
`void` | `setLayout()`
`void` | `setListMode(int value)`
`boolean` | `setPosition(AttributeList pList)`
`void` | `setPosition(java.lang.String[] pList)`
`void` | `setRadioValue(java.lang.String value)`
`void` | `setSessionName(java.lang.String newSessionName)`
`void` | `setStaticList(java.lang.String value)`
`void` | `setViewName(java.lang.String vName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionName

    public java.lang.String sessionName

Constructor Detail

### ControlInfo

    public ControlInfo()

### ControlInfo

    public ControlInfo(java.lang.String fName)

Method Detail

### getEditable

    public java.lang.String getEditable()

### getStaticList

    public java.lang.String getStaticList()

### getListMode

    public int getListMode()

### setStaticList

    public void setStaticList(java.lang.String value)

### setEditable

    public void setEditable(java.lang.String value)

### setListMode

    public void setListMode(int value)

### setControlName

    public void setControlName(java.lang.String name)

### getControlName

    public java.lang.String getControlName()

### setControlType

    public void setControlType(java.lang.String type)

### addRadioToPanel

    public void addRadioToPanel(ControlInfo c)

### getControlType

    public java.lang.String getControlType()

### setViewName

    public void setViewName(java.lang.String vName)

### getViewName

    public java.lang.String getViewName()

### setRadioValue

    public void setRadioValue(java.lang.String value)

### getRadioValue

    public java.lang.String getRadioValue()

### getInitialValue

    public java.lang.String getInitialValue()

### setInitialValue

    public void setInitialValue(java.lang.String value)

### setAttrList

    public void setAttrList(java.lang.String[] aList)

### getAttrList

    public java.lang.String[] getAttrList()

### setLayout

    public void setLayout()

### getLayout

    public boolean getLayout()

### printKava

    public void printKava(java.io.OutputStream out,
                          java.lang.String startTab)

### createControlInfo

    public void createControlInfo(JUDTForm jForm)

### parserParameter

    public boolean parserParameter(java.lang.String fName,
                                   java.lang.String parameter,
                                   RowSetInfo[] rInfo)

### getRowSetIndex

    public int getRowSetIndex(RowSetInfo[] rInfo,
                              java.lang.String rName)

### setPosition

    public void setPosition(java.lang.String[] pList)

### setPosition

    public boolean setPosition(AttributeList pList)

### convertToHash

    public java.util.HashMap convertToHash()

### removeAttrQoute

    public java.lang.String[] removeAttrQoute()

### removeQuota

    public java.lang.String removeQuota(java.lang.String src)

### getSessionName

    public java.lang.String getSessionName()

### setSessionName

    public void setSessionName(java.lang.String newSessionName)

### getAttrName

    public java.lang.String getAttrName()

### getInit

    public java.lang.String getInit()

### setInit

    public void setInit(java.lang.String iStr)

### isDirty

    public boolean isDirty()

### cleatDirty

    public void cleatDirty()

### isControlReady

    public boolean isControlReady()

### printControl

    public void printControl(MigrateDAC parent,
                             java.lang.String pName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.